#ifndef __DOCUMENT_H__

#define __DOCUMENT_H__

#include <pdflib.h>

#define LINE_LENGTH	255

typedef struct indexd
{
	int	line_no;
	int	start_char;
	int	stop_char;
	int	suppress_spaces;

	char	*last_index;
	int	indexid;
} indexd;

typedef struct document
{
	int	width;
	int	height;

	int	chars_per_line;
	int	lines_per_page;
	int	ignore_form_feed;

	float	left_margin;
	float	top_margin;

	float	image_scale_x;
	float	image_scale_y;
	float	image_dpi;
	char	*image_filename;
	int	image_id;

	char	*font_face;
	int	font_index;
	float	font_size;

	char	*background_image;

	int	index_count;
	indexd	*index_def;

	PDF	*pdf;
	char	*output_filename;
	int	line_count;

	char	line[ LINE_LENGTH ];
} document;


int	document_init( document *d );
int	document_start( document *d );
int	document_add_index( document *d, const indexd *i );
int	document_addline( document *d, const char *line );
int	document_end( document *d );

#endif
